<template>
  <div
    class="global-loader d-flex flex-column justify-content-center align-items-center"
  >
    <img :src="appConfig.logo" :alt="appConfig.name" class="logo" />

    <Animation />

    <p class="mt-2">Cargando, por favor espere.</p>
  </div>
</template>

<script>
import { appConfig } from "@/app-config.js";

import Animation from './Animation.vue'

export default {
  name: "GlobalLoader",
  data() {
    return {
      appConfig,
    };
  },
  components: {
    Animation
  }
};
</script>

<style lang="scss">
@import "~/assets/scss/variables";

.global-loader {
  background-color: white;

  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 30;

  p {
    font-size: 0.95em;
    color: rgba($dark, 0.75);
  }

  .logo {
    max-width: 200px;
  }
}
</style>
